
/*!
 *************************************************************************************
 * \file header.h
 *
 * \brief
 *    Prototypes for header.c
 *************************************************************************************
 */

#ifndef _HEADER_H_
#define _HEADER_H_

int SliceHeader();
int Partition_BC_Header();

int  writeERPS(SyntaxElement *sym, DataPartition *partition);
// int  SequenceHeader(FILE *outf);
void write_terminating_bit (short);
int nBitsAIF(void);

#ifdef DIRECTIONAL_FILTER
int sendCoefsAIF(Bitstream *bitstream);

#ifdef E_DAIF
int sendCoefs_EDAIF(Bitstream *bitstream);
int estimateCostOfCoefs_EDAIF(int sub_pos);
int sendAIFInteger_EDAIF(Bitstream *bitstream);
int sendAIFOffset(int sub_pos, Bitstream *bitstream);       // Used for both full and subpel offsets
#endif  // E_DAIF
#endif  // DIRECTIONAL_FILTER

#endif

